@import "@styles/base/colors";
@import "@styles/base/typography.scss";

.title {
  display: flex;

  & > div:first-child {
    margin-right: 50px;
  }
}

.subtitle {
  @include font($fontGothamLight, 14px, 16.8px);
  color: $greyText;
  margin-bottom: 5px;
}

// week card
.weekCard {
  margin-bottom: 25px;
}

.weekContainer {
  display: flex;
  flex-direction: column;
  padding: 0 35px 25px;

  .head {
    display: flex;
    justify-content: space-between;
    padding-bottom: 12px;

    .day {
      width: 100%;
      max-width: 100px;
      @include font($fontGothamLight, 14px, 16.8px);
      color: $greyText;
      text-align: center;
    }

    .day.active {
      @include font($fontGothamBold, 14px, 16.8px);
      color: $primaryColor;
    }
  }

  .dates {
    display: grid;
    grid-template-columns: repeat(7, minmax(0, 1fr));
    column-gap: 25px;
    row-gap: 15px;

    .date {
      width: 100%;
      max-width: 100px;
      height: 64px;
      display: flex;
      flex-direction: column;
      align-items: center;
      cursor: pointer;
      display: flex;
      justify-content: center;
      align-items: center;
      border: 1px solid $greyColor;
      border-radius: 10px;
      @include font($fontGotham, 28px, 33.6px);
      color: $greyColor;

      &:hover {
        border: none;
        background-color: $primaryColor;
        color: $whiteColor;
      }
    }

    .date.active {
      border: none;
      background-color: $primaryColor;
      color: $whiteColor;
    }
  }
}

// shifts card
.shiftsContainer {
  height: 447px;
  overflow-y: scroll;
  margin-right: 10px;
  padding: 0 20px 0 35px;
}

// notifications card
.notesCard {
  max-width: 616px;

  .noteTitle {
    flex-direction: column;
    align-items: flex-start;
    padding-bottom: 0;
    margin-bottom: 0;
    border-bottom: none;

    .btns {
      display: flex;
      gap: 15px;
      width: 100%;
      margin: 25px 0 35px;

      & > button {
        width: 100%;
        max-width: 265px;
      }
    }
  }

  .notesContainer {
    height: 742px;
    overflow-y: scroll;
    margin-right: 10px;
    padding: 0 20px 0 35px;

    .card {
      height: 118px;
      display: flex;
      align-items: center;
      border: 1px solid $greyColor;
      box-shadow: 5px 5px 15px rgba(32, 84, 215, 0.1);
      border-radius: 10px;
      margin-bottom: 10px;
      padding: 20px 25px;

      .avatar {
        margin-right: 25px;
        width: 78px;
        height: 78px;
      }

      .info {
        .type {
          width: 66px;
          height: 31px;
          display: flex;
          justify-content: center;
          align-items: center;
          border: 1.5px solid $greyColor;
          border-radius: 1000px;
          @include font($fontGotham, 14px, 16.8px);
          color: $greyColor;
        }

        .type.error {
          border: 1.5px solid $redText;
          color: $redText;
        }

        .userData {
          margin-top: 5px;
          @include font($fontGotham, 18px, 21.6px);
          color: $blackColor;
          margin-bottom: 5px;

          & > span:first-child {
            @include font($fontGothamBold, 18px, 21.6px);
          }
        }

        .shiftData {
          @include font($fontGothamLight, 14px, 13.4px);
          color: $greyText;
        }
      }

      .nav {
        width: 50px;
        height: 50px;
        display: flex;
        justify-content: center;
        align-items: center;
        cursor: pointer;
        border: 2px solid $greyColor;
        border-radius: 10px;
        margin-left: auto;

        &:hover {
          -webkit-box-shadow: 0px 0px 3px 0.2px $primaryColor;
          -moz-box-shadow: 0px 0px 3px 0.2px $primaryColor;
          box-shadow: 0px 0px 3px 0.2px $primaryColor;

          & svg {
            path {
              stroke: $primaryColor;
            }
          }
        }
      }
    }
  }
}

.addBtn {
  width: 100%;
  max-width: 208px;
  display: flex;
  align-items: center;
  margin-left: auto;
  font-size: 14px;
  line-height: 16.8px;

  &:hover {
    & > div:first-child {
      border: 2px solid $blackColor;
    }

    svg {
      line {
        stroke: $blackColor;
      }
    }
  }

  svg {
    margin-top: 6px;
    transform: rotate(45deg);

    line {
      stroke: $whiteColor;
    }
  }

  & > div:first-child {
    width: 28px;
    height: 28px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-shrink: 0;
    border: 2px solid $whiteColor;
    border-radius: 50%;
    margin-right: 10px;
  }
}
